Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.core
Interface INameManager

    public interface INameManager

Interface to do all managements about the element names.

Method Summary
`void` | `addContentName(int id, java.lang.String name)` Adds a content name to the name-manager.
`void` | `clear()` Clears the data in name manage and re-initialize it.
`void` | `dropElement(org.eclipse.birt.report.model.core.DesignElement element)` Deletes the element from the name manager.
`org.eclipse.birt.report.model.core.Module` | `getHostModule()` Gets the host module of this name manager.
`java.lang.String` | `getUniqueName(org.eclipse.birt.report.model.core.DesignElement element)` Returns a unique name for the given element.
`void` | `makeUniqueName(org.eclipse.birt.report.model.core.DesignElement element)` Makes a unique name for the given element.

Method Detail

### getHostModule

    org.eclipse.birt.report.model.core.Module getHostModule()

  Gets the host module of this name manager. The host module is what adapts all the managements for element names to assure that all the child elements have a unqiue name.

  Returns:
    the host module of this name manager

### makeUniqueName

    void makeUniqueName(org.eclipse.birt.report.model.core.DesignElement element)

  Makes a unique name for the given element.

  Parameters:
    `element` - the element to make a unique name

### clear

    void clear()

  Clears the data in name manage and re-initialize it.

### dropElement

    void dropElement(org.eclipse.birt.report.model.core.DesignElement element)

  Deletes the element from the name manager.

  Parameters:
    `element` - the element to drop

### getUniqueName

    java.lang.String getUniqueName(org.eclipse.birt.report.model.core.DesignElement element)

  Returns a unique name for the given element.

  Parameters:
    `element` - the given element.
  Returns:
    unique name.

### addContentName

    void addContentName(int id,
                        java.lang.String name)

  Adds a content name to the name-manager.

  Parameters:
    `id` - name space id
    `name` - the name of the content

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.